Name:           zoom_utils
Version:        1.01.01.3
Release:        1
Summary:        Utilities for the zoom environment with cmz

Group:          Development/Tools
License:        GPL
URL:            http://www.environnement.ens.fr/perso/dumas/mini_ker/software.html
Source0:        http://www.environnement.ens.fr/perso/dumas/mini_ker/zoom_utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# mdk
#BuildRequires:  gcc-g77
# fedora core 4
#BuildRequires: gcc-gfortran
# need to use g77 if the cernlib was compiled with g77
BuildRequires:   /usr/bin/g77
BuildRequires:   cernlib-devel cernlib-utils car2txt
Requires:        cmz cernlib-devel cernlib-utils mp2a

%description

Utilities for the zoom environment with cmz. 

%prep
%setup -q

# correct cmzsys.kumac permissions
chmod a-x utils/cmzsys.kumac

#use sh and not ksh
sed -i -e 's:#!/bin/ksh:#!/bin/sh:' scripts/*.ksh scripts/*_cmz

%build
# remove -mtune as g77 doesn't know that option
# remove also --param=ssp-buffer-size=4 and  -fstack-protector
#export FFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -fasynchronous-unwind-tables"
export FFLAGS=`echo "%optflags" | sed -e 's/-mtune=[^ ]\+//' -e 's/-fstack-protector//' -e 's/--param=ssp-buffer-size=[^ ]\+//'`
export F77=g77
%configure --with-static-cernlib=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

[ -z $CERN ] && . %{_sysconfdir}/profile.d/cernlib*.sh
[ -z $CERN ] && exit 1

make install DESTDIR=$RPM_BUILD_ROOT
ln -s zfsplit $RPM_BUILD_ROOT%{_bindir}/zfsplit.exe
ln -s zed $RPM_BUILD_ROOT%{_bindir}/zed.exe

cp bin_util/NEWS NEWS.bin_util

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING NEWS.bin_util
%{_bindir}/zfsplit*
%{_bindir}/zed*
%{_bindir}/*.ksh
%{_bindir}/link*
%{_sysconfdir}/profile.d/zoom_env.*sh
%dir %{_datadir}/zoom_utils
%{_datadir}/zoom_utils/cmzsys.kumac
%{_libdir}/*
# since everything under %{_libdir}/ is included, to cope with 
# a cernlib root installed at weird places, one must explicitly
# exclude %{_libdir}/debug/
%exclude %{_libdir}/debug/


%changelog
* Mon Jul 24 2006 Patrice Dumas <dumas at centre-cired.fr> 1.01.01.3-1
- update to 1.01.01.3

* Wed Jun 08 2005 Patrice Dumas <dumas at centre-cired.fr> - 1.01.01-1
- initial rpm packaging
